%global plugin_name display-url-api

Summary:    Provides the DisplayURLProvider extension point
Name:       jenkins-plugin-%{plugin_name}
Version:    2.0
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Display+URL+API+Plugin
# AltURL:   https://github.com/jenkinsci/display-url-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2

%description
Provides the DisplayURLProvider extension point to provide 
alternate URLs for use in notifications

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.0 - 2.0-10
- rebuilt

* Mon Apr 24 2017 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Update to 2.0

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Mon Sep 26 2016 Troy Dawson <tdawson@redhat.com> - 0.5-1
- Initial package
